package de.npid7.serverlite.Commands;

import de.npid7.serverlite.Helpers.Spielzeit;
import org.bukkit.Bukkit;
import org.bukkit.ChatColor;
import org.bukkit.OfflinePlayer;
import org.bukkit.Statistic;
import org.bukkit.command.Command;
import org.bukkit.command.CommandExecutor;
import org.bukkit.command.CommandSender;
import org.bukkit.entity.Player;

public class PlaytimeCommand implements CommandExecutor {
  private void makeMessage(OfflinePlayer pl, Player exec) {
    if (pl == null) {
      return;
    }
    exec.sendMessage("- " + ChatColor.GOLD.toString() + "PlayTime: ");
    exec.sendMessage(
        "- " + ChatColor.GRAY.toString() + "Player: " + ChatColor.WHITE.toString() + pl.getName());
    // exec.sendMessage("- First Join: ");
    int playtime = Spielzeit.getHours(pl.getStatistic(Statistic.TOTAL_WORLD_TIME));
    String str = " Stunden";
    if (playtime == 1) {
      str = " Stunde";
    }
    exec.sendMessage("- " + ChatColor.GRAY.toString() + "Spielzeit: " + ChatColor.GREEN.toString()
        + playtime + str);
    exec.sendMessage("- " + ChatColor.GRAY.toString()
        + "Detailierte Spielzeit: " + ChatColor.GREEN.toString()
        + Spielzeit.formatTicks(pl.getStatistic(Statistic.TOTAL_WORLD_TIME)));
    exec.sendMessage("- " + ChatColor.GRAY.toString() + "Server " + ChatColor.GREEN.toString()
        + (pl.getStatistic(Statistic.LEAVE_GAME) + 1) + ChatColor.GRAY.toString()
        + " mal betreten.");
  }

  @Override
  public boolean onCommand(CommandSender sender, Command command, String s, String[] strings) {
    if (strings.length != 0) {
      if (!sender.hasPermission("d7.d7")) {
        sender.sendMessage(
            ChatColor.RED.toString() + "Nur Admins dürfen /plytime auf spieler anwenden");
        return false;
      }
      OfflinePlayer pl = Bukkit.getOfflinePlayer(strings[0]);
      if (pl == null) {
        sender.sendMessage(ChatColor.RED.toString() + "Der Spieler existiert nicht!");
        return false;
      }
      makeMessage(pl, (Player) sender);
    } else {
      makeMessage(Bukkit.getOfflinePlayer(((Player) sender).getUniqueId()), (Player) sender);
    }
    return false;
  }
}
