package de.npid7.serverlite.Helpers;

public class Spielzeit {
  public static String formatTicks(int ticks) {
    int time = ticks / 20;
    String timers = new String("");
    int day = time / 86400;
    int hours = (time % 86400) / 3600;
    int minutes = (time % 3600) / 60;
    int seconds = time % 60;
    if (time > -1 && time < 60) {
      timers = String.format("%02ds", seconds);
    } else if (time > 59 && time < 3600) {
      timers = String.format("%02dm %02ds", minutes, seconds);
    } else if (time > 3599 && time < 86400) {
      timers = String.format("%02dh %02dm %02ds", hours, minutes, seconds);
    } else if (time > 86399) {
      timers = String.format("%02dd %02dh %02dm %02ds", day, hours, minutes, seconds);
    }
    return timers;
  }

  public static int getHours(int ticks) {
    int time = ticks / 20;
    return time / 3600;
  }
}
