package de.npid7.serverlite.TabCompleters;

import de.npid7.serverlite.ServerLite;
import java.util.ArrayList;
import java.util.List;
import org.bukkit.ChatColor;
import org.bukkit.command.Command;
import org.bukkit.command.CommandSender;
import org.bukkit.command.TabCompleter;

public class StatusCompleter implements TabCompleter {
  @Override
  public List<String> onTabComplete(
      CommandSender sender, Command command, String alias, String[] args) {
    List<String> completions = new ArrayList<>();
    if (command.getName().equalsIgnoreCase("status")) {
      if (args.length == 1) {
        for (String s : ServerLite.getInst().getPluginConfig().getDefaultStatusList()) {
          completions.add(s);
        }
        completions.add("custom");
        completions.add("remove");
      } else if (args.length == 3) {
        if (args[0].equals("custom")) {
          for (ChatColor c : ChatColor.values()) {
            if (c.isColor()) {
              completions.add(c.name());
            }
          }
        }
      }
    }
    return completions;
  }
}